<script setup>
import { ref } from "vue";
const props = defineProps({
  offset: {
      type: Array,
      default() {
        return [0, 0];
      },
    },
    points: {
      type: Array,
      default() {
        return [
        ];
      },
    },
    color: {
      type: String,
      default: 'rgba(0, 255, 255, 0.2)',
    },
    fillColor: {
      type: String,
      default: "#032134",
    }
});

</script>

<template>
<g
    ref="g"
    :transform="'translate(' + offset.join(',') + ')'"
  >
    <polygon
      :points="points.join(' ')"
      :stroke="color"
      :fill="fillColor"
      style="stroke-width: 2"
    />
  </g>
</template>

<style scoped lang="less">

</style>